<?xml version="1.0" encoding="UTF-8"?>
<!--
  Licensed to the Apache Software Foundation (ASF) under one or more
  contributor license agreements.  See the NOTICE file distributed with
  this work for additional information regarding copyright ownership.
  The ASF licenses this file to You under the Apache License, Version 2.0
  (the "License"); you may not use this file except in compliance with
  the License.  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->
<!-- $Id: playersorder.xslt,v 1.5 2009/12/10 19:16:13 david Exp $ -->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">
    <xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
    <xsl:param name="versionParam" select="'1.0'"/>
  <!-- ========================= -->
  <!-- root element: projectteam -->
  <!-- ========================= -->
    <xsl:template match="tournament">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

            <fo:layout-master-set>
                <fo:simple-page-master master-name="simpleA4" page-height="29.7cm" page-width="21cm" margin-top="2cm" margin-bottom="2cm" margin-left="2cm" margin-right="2cm">
                    <fo:region-body/>
                    <fo:region-after precedence="true" extent="0cm"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            
            <fo:page-sequence master-reference="simpleA4">

                <fo:static-content flow-name="xsl-region-after">
                    <fo:block text-align="center" font-size="10pt"
                        font-family="serif"
                        line-height="14pt" >
                        <fo:block font-size="8pt">
                            <xsl:value-of select="generatedBy"/>
                        </fo:block>
                        <fo:block font-size="8pt">
                            <xsl:value-of select="licence"/>
                        </fo:block>
                    </fo:block>
                </fo:static-content>
                
                <fo:flow flow-name="xsl-region-body">
                    
                    <fo:block font-size="16pt" font-weight="bold" space-after="5mm" text-align="center" color="#0050B2" space-after.optimum="6pt">
                        <xsl:value-of select="totalResultsTitle"/>
                    </fo:block>
                    <fo:block font-size="12pt" space-after="5mm" text-align="center" font-family="Dejavusans" font-weight="normal" font-style="normal">
                        <xsl:value-of select="tournamentIdentification"/>
                    </fo:block>

                    <fo:table table-layout="fixed" width="100%" border-collapse="separate">
                        <fo:table-column/>
                        <fo:table-body>
                            <fo:table-row>
                                <fo:table-cell border-bottom-width="0.5pt" border-bottom-style="solid">
                                    <fo:block>
                                    </fo:block>
                                </fo:table-cell>
                            </fo:table-row>
                        </fo:table-body>
                    </fo:table>

                    <xsl:apply-templates select="player"/>

                </fo:flow>

            </fo:page-sequence>
        </fo:root>
    </xsl:template>
  <!-- ========================= -->
  <!-- child element: member     -->
  <!-- ========================= -->
    <xsl:template match="player">

        <fo:block font-size="12pt">
            <fo:table table-layout="fixed" width="100%" border-collapse="separate">
                <fo:table-column column-width="1cm"/>
                <fo:table-column />
                <fo:table-column column-width="2cm"/>
                <fo:table-column column-width="2cm"/>
                <fo:table-column column-width="1cm"/>
                <fo:table-column column-width="0.5cm"/>
                <fo:table-body>
                    <fo:table-row height="0.9cm">
                        <xsl:if test="function = 'lead'">
                            <xsl:attribute name="font-weight">bold</xsl:attribute>
                        </xsl:if>
                        <fo:table-cell display-align="after">
                            <fo:block text-align="right">
                                <xsl:value-of select="resultOrderId"/>.
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell display-align="after">
                            <fo:block font-family="Dejavusans" font-weight="normal" font-style="normal">
                                <xsl:value-of select="name"/>,
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell display-align="after" padding-right="0.1cm">
                            <fo:block text-align="right">
                                <xsl:value-of select="totalWinSetsString"/>
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell display-align="after" padding-right="0.1cm">
                            <fo:block text-align="right">
                                (<xsl:value-of select="totalBallsString"/>)
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell display-align="after" padding-right="0.1cm">
                            <fo:block font-weight="bold" text-align="right">
                                <xsl:value-of select="points"/>
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell display-align="after">
                            <fo:block>
                                <xsl:value-of select="pointsAbbreviation"/>
                            </fo:block>
                        </fo:table-cell>
                    </fo:table-row>
                </fo:table-body>
            </fo:table>

        </fo:block>

        <fo:block font-size="9pt" font-family="Dejavusans" font-weight="normal" font-style="normal">
            <fo:table table-layout="fixed" width="100%" border-collapse="separate">
                <fo:table-column column-width="2cm"/>
                <fo:table-column/>
                <fo:table-body>
                    <fo:table-row height="0.9cm">
                        <fo:table-cell border-bottom-width="0.5pt" border-bottom-style="solid">
                            <fo:block>
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell border-bottom-width="0.5pt" border-bottom-style="solid">
                            <fo:block>
                                <xsl:value-of select="pairsString"/>
                            </fo:block>
                        </fo:table-cell>
                    </fo:table-row>
                </fo:table-body>
            </fo:table>
        </fo:block>
    </xsl:template>
</xsl:stylesheet>
